- [HTTP request](https://docs.cloud.google.com/certificate-authority-service/docs/reference/rest/v1/projects.locations.caPools.certificates/list.md.txt#body.HTTP_TEMPLATE)
- [Path parameters](https://docs.cloud.google.com/certificate-authority-service/docs/reference/rest/v1/projects.locations.caPools.certificates/list.md.txt#body.PATH_PARAMETERS)
- [Query parameters](https://docs.cloud.google.com/certificate-authority-service/docs/reference/rest/v1/projects.locations.caPools.certificates/list.md.txt#body.QUERY_PARAMETERS)
- [Request body](https://docs.cloud.google.com/certificate-authority-service/docs/reference/rest/v1/projects.locations.caPools.certificates/list.md.txt#body.request_body)
- [Response body](https://docs.cloud.google.com/certificate-authority-service/docs/reference/rest/v1/projects.locations.caPools.certificates/list.md.txt#body.response_body)
  - [JSON representation](https://docs.cloud.google.com/certificate-authority-service/docs/reference/rest/v1/projects.locations.caPools.certificates/list.md.txt#body.ListCertificatesResponse.SCHEMA_REPRESENTATION)
- [Authorization scopes](https://docs.cloud.google.com/certificate-authority-service/docs/reference/rest/v1/projects.locations.caPools.certificates/list.md.txt#body.aspect)

Lists `Certificates`.

### HTTP request

`GET https://privateca.googleapis.com/v1/{parent=projects/*/locations/*/caPools/*}/certificates`

The URL uses [gRPC Transcoding](https://google.aip.dev/127) syntax.

### Path parameters

| Parameters ||
|---|---|
| `parent` | `string` Required. The resource name of the parent associated with the `Certificates`, in the format `projects/*/locations/*/caPools/*`. The parent resource name can be in one of two forms: 1. **Specific CA Pool:** To list certificates within a single CA Pool: `projects/*/locations/*/caPools/*` 2. **All CA Pools in a Location:** To list certificates across *all* CA Pools in a given project and location, use the wildcard character (`-`) in place of the CA Pool ID. Example: `projects/*/locations/*/caPools/-` Authorization requires the following [IAM](https://cloud.google.com/iam/docs/) permission on the specified resource `parent`: - `privateca.certificates.list` |

### Query parameters

| Parameters ||
|---|---|
| `pageSize` | `integer` Optional. Limit on the number of `Certificates` to include in the response. Further `Certificates` can subsequently be obtained by including the `ListCertificatesResponse.next_page_token` in a subsequent request. If unspecified, the server will pick an appropriate default. |
| `pageToken` | `string` Optional. Pagination token, returned earlier via `ListCertificatesResponse.next_page_token`. |
| `filter` | `string` Optional. Only include resources that match the filter in the response. For details on supported filters and syntax, see [Certificates Filtering documentation](https://cloud.google.com/certificate-authority-service/docs/sorting-filtering-certificates#filtering_support). |
| `orderBy` | `string` Optional. Specify how the results should be sorted. For details on supported fields and syntax, see [Certificates Sorting documentation](https://cloud.google.com/certificate-authority-service/docs/sorting-filtering-certificates#sorting_support). |

### Request body

The request body must be empty.

### Response body

Response message for `CertificateAuthorityService.ListCertificates`.

If successful, the response body contains data with the following structure:

| JSON representation |
|---|
| ``` { "certificates": [ { object (`Certificate`) } ], "nextPageToken": string, "unreachable": [ string ] } ``` |

| Fields ||
|---|---|
| `certificates[]` | ``object (`Certificate`)`` The list of `Certificates`. |
| `nextPageToken` | `string` A token to retrieve next page of results. Pass this value in `ListCertificatesRequest.page_token` to retrieve the next page of results. |
| `unreachable[]` | `string` A list of locations (e.g. "us-west1") that could not be reached. |

### Authorization scopes

Requires the following OAuth scope:

- `https://www.googleapis.com/auth/cloud-platform`

For more information, see the [Authentication Overview](https://docs.cloud.google.com/docs/authentication.md.txt#authorization-gcp).